Date.prototype.yyyymmdd = function () {
    var mm = this.getMonth() + 1; // getMonth() is zero-based
    var dd = this.getDate();

    return [this.getFullYear(), '_', !mm[1] && '0', mm, '_', !dd[1] && '0', dd].join(''); // padding
};


Date.prototype.dateTimeToTime = function () {

    var kk = this.getHours(); // getMonth() is zero-based
    if (kk < 10) {
        kk = '0' + kk;
    }
    var mm = this.getMinutes();
    if (mm < 10) {
        mm = '0' + mm;
    }
    return {
        normal: [kk, ':', mm].join(''),
        forClass: [kk, mm].join('')
    }
};

Date.prototype.dateToText = function () {
    var aylar = ["Ocak", "Şubat", "Mart", "Nisan", "Mayıs", "Haziran", "Temmuz", "Ağustos", "Eylül", "Ekim", "Kasım", "Aralık"];
    var mm = aylar[this.getMonth()]; // getMonth() is zero-based
    var dd = this.getDate();

    if (dd < 10) {
        dd = '0' + dd;
    }

    return dd + " " + mm;
};

function kvDate(str) {

    var splitter = str.charAt(19);
    var splittedText = str.split(splitter);
    var output = splittedText[0] + '+' + [splittedText[1].slice(0, 2), ':', splittedText[1].slice(3)].join('');
    return output;
}

myApp.onPageInit('calendar', function (page) {
    $$('.back').on('click', function () {

        if (KV.menu[KV.activeExtended]) {
            var m = KV.menu[KV.activeExtended].sub;
            KV.initMenu(m, 'parentMenuExtended', KV.activeExtendedSubId);
        }else {
            mainView.router.back({url: 'main.html', force: true})
        }
    });
    $$('.navbar').removeClass('transparent').addClass('backgroundBlue');

    var events = page.context.events;
    if (events.length > 0) {
        var data_ordered = [];
        var z = 0;
        if (events.length > 0) {

            var date_first = kvDate(events[0].start_date);
            date_first = new Date(date_first);

            var date_key = date_first.yyyymmdd();
            for (var i = 0; i < events.length; i++) {

                date_event = new Date(kvDate(events[i].start_date));

                if (date_key != date_event.yyyymmdd()) {
                    date_key = date_event.yyyymmdd();
                    z++;
                }

                if (!data_ordered[z]) {
                    data_ordered[z] = [];
                }

                data_ordered[z].push(events[i]);
            }

        }


        if (data_ordered.length == 1) {
            $$(".first-day-title").css("display", "block");
            $$(".calendar-tab-first").css("display", "block");

            $$(".calendar-tab-second").css("display", "none");
            $$(".calendar-tab-third").css("display", "none");


            $$(".first-day-title").html(new Date(kvDate(data_ordered[0][0].start_date)).dateToText());
        } else if (data_ordered.length == 2) {
            $$(".first-day-title").css("display", "block");
            $$(".second-day-title").css("display", "block");

            $$(".calendar-tab-third").css("display", "none");


            $$(".first-day-title").html(new Date(kvDate(data_ordered[0][0].start_date)).dateToText());
            $$(".second-day-title").html(new Date(kvDate(data_ordered[1][0].start_date)).dateToText());
        } else {
            $$(".first-day-title").css("display", "block");
            $$(".second-day-title").css("display", "block");
            $$(".third-day-title").css("display", "block");

            $$(".first-day-title").html(new Date(kvDate(data_ordered[0][0].start_date)).dateToText());
            $$(".second-day-title").html(new Date(kvDate(data_ordered[1][0].start_date)).dateToText());
            $$(".third-day-title").html(new Date(kvDate(data_ordered[2][0].start_date)).dateToText());
        }

        var time_key_prefix = '';
        for (var i = 0; i < data_ordered.length; i++) {
            if (i == 0) {
                time_key_prefix = "first_time_";
                $$(".first_day_title").html();
            } else if (i == 1) {
                time_key_prefix = "second_time_";
            } else {
                time_key_prefix = "third_time_";
            }


            console.log(data_ordered);

            var html2 = '';
            for (var z = 0; z < data_ordered[i].length; z++) {
                var start_time = new Date(kvDate(data_ordered[i][z].start_date));
                var start_time_forClass = start_time.dateTimeToTime().forClass;
                html2 += '<div class="card">' +
                    '<div class="card-content">' +
                    '<div class="card-content-inner">' +
                    '<h1 style="font-size: 15px; font-weight: bold; color:#33b39b">' + data_ordered[i][z].title_tr + '</h1>' + ((data_ordered[i][z].entry_content_tr) ? data_ordered[i][z].entry_content_tr + ' <br>' : '') +
                    '<div style="width: 100%; text-align: center"><b> Başlangıç : </b>' + new Date(kvDate(data_ordered[i][z].start_date)).dateTimeToTime().normal + ' <b>Bitiş : </b>' + new Date(kvDate(data_ordered[i][z].end_date)).dateTimeToTime().normal +
                    '</div></div>' +
                    '</div>' +
                    '</div>';

                //$$("." + time_key_prefix + start_time_forClass).append(html);

            }
            $$("#content" + i).append(html2);

            if (i == 2) {
                break; //max 3 gün gözükmeli
            }
        }
    }

});