/**
 * Created by erdem on 20.10.2016.
 */
myApp.onPageInit('conversation', function (page) {
    $$('.back').on('click', function () {
        activeConversation = null;
        if (page.context.reload) {
            var reloadData = page.context.reloadData;
            KV.getStaticPage(reloadData.route, reloadData.pageType, reloadData.upPageType);
        } else {
            mainView.router.back({url: page.context.toBack, force: true, reload: true})
        }
    });
    $$('.navbar').removeClass('transparent').addClass('backgroundBlue');

    console.log("conversation_context", page.context);

    // ilgili konusmanın mesajlarını read et
    getConfigReload = true;

    function makeYMD(d) {
        return d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate();
    }

    function getYesterday(d) {
        return new Date(d.setDate(d.getDate() - 1));
    }

    var today = makeYMD(new Date());
    var yesterday = makeYMD(getYesterday(new Date()));


    var mContentScroll = 0;
    $$('#convText').focus(function () {
        mContentScroll = $$('.messages-content')[0].scrollHeight;
        //setTimeout(function(){ $$('.messages-content').scrollTop(h); }, 3000);
    });

    var element = $$('.messages-content');
    var lastHeight = $$('.messages-content').css('height');
    checkForHeightChanges();

    function checkForHeightChanges() {
        if (element.css('height') !== lastHeight) {
            $$('.messages-content').scrollTop(mContentScroll + 100);
            lastHeight = element.css('height');
        }

        setTimeout(checkForHeightChanges, 500);
    }

    var allmsg = [];
    var unreadMsg = [];
    $$.each(page.context.messages, function (index, value) {
        if (!value.read && value.to.value == activeID) {
            unreadMsg.push({"record_id": value.record_id, "read": 1});
        }
        // msg tipi
        var msgType = (value.from.value == activeID) ? "sent" : "received";
        //msg tarihi
        var t = ((value.created_on.split("T")));
        var myDate = makeYMD(new Date(t[0]));
        var msgDate = '';
        if (today == myDate) {
            msgDate = "Bugün";
        } else if (yesterday == myDate) {
            msgDate = "Dün";
        } else {
            var defaultDate = t[0].split('-');
            msgDate = defaultDate[2] + '.' + defaultDate[1] + '.' + defaultDate[0];
        }

        //msg zamani
        var msgTime = t[1].split('+');
        msgTime = msgTime[0].substr(0, 5);

        var space_booking = null;
        if (value.space_booking) {
            space_booking = value.space_booking.value;
        }

        var msg = {
            id: 0,
            text: value.content,
            space_booking: space_booking,
            type: msgType,
            day: msgDate,
            time: msgTime,
            count: 0
        };
        allmsg.push(msg);
    });
    console.log(allmsg);
    console.log(unreadMsg);
    if (unreadMsg.length) {
        kvapi.patch("/data/networking/message", {
            records: unreadMsg
        })
            .then(function (convResp) {
                console.log(convResp);
            });
    }

    kvapi.get("/custom/educaturk/readConversationMsg/" + page.context.conversation, {}).then(function (response) {
        console.log(response);
    });
    // Conversation flag
    var conversationStarted = false;
    // Init Messages
    var myMessages = myApp.messages('.messages', {
        autoLayout: true,
        messages: allmsg,
        messageTemplate: ' ' +
        '<div sendError="" id="msg{{id}}" sendId="{{id}}" style="margin: 0 10px 1px !important;" class="message message-{{type}} {{#if hasImage}}message-pic{{/if}} {{#if avatar}}message-with-avatar{{/if}} message-appear-from-{{position}}{{/if}}">' +
        '{{#if name}}<div class="message-name">{{name}}</div>{{/if}} <div class="message-text">{{text}}{{#if space_booking}}<a href="#" class="invDetail{{count}}" type="{{type}}" space_booking="{{space_booking}}"> View</a>{{/if}}<br>{{#if day}} <div class="messages-date" style="margin: 0; float:left">{{day}} {{#if time}}, <span>{{time}}</span>{{/if}}</div>{{/if}}</div>  ' +
        '   {{#if avatar}}<div class="message-avatar" style="background-image:url({{avatar}})"></div>{{/if}}<i id="error{{id}}" style="color:red; display:none" class="fa fa-exclamation-circle" aria-hidden="true"></i>{{#if label}}<div class="message-label">{{label}}' +
        '</div>{{/if}}</div> '
    });

    // Init Messagebar
    var myMessagebar = myApp.messagebar('.messagebar');

    // Handle message
    var send = 0;
    var sendArray = [];
    $$('.messagebar .link').on('click', function () {
        $$('#convText').focus();
        // Message text
        var messageText = myMessagebar.value().trim();
        // Exit if empy message
        if (messageText.length === 0) return;

        // Empty messagebar
        myMessagebar.clear();

        // Random message type
        var messageType = 'sent';

        // Add message

        send++;
        var sendMsg = {
            // Message text
            id: send,
            text: messageText,
            // Random message type
            type: messageType,
            // Avatar and name:
            label: 'Gönderiliyor..',
            // Day
            // day: !conversationStarted ? 'Bugün' : false,
            day: 'Bugün',
            // time: !conversationStarted ? (new Date()).getHours() + ':' + (new Date()).getMinutes() : false
            time: (new Date()).getHours() + ':' + (new Date()).getMinutes()
        };

        sendArray[send] = sendMsg;

        console.log(sendMsg);

        myMessages.addMessage(sendMsg);

        saveToCrm(send, sendMsg);

        // Mesaj Gönderiliyor


        function saveConversation(send, sendMsg) {
            contacts = page.context.conversation_label.split("-");
            first_contact = contacts[0];
            second_contact = contacts[1];

            kvapi.post("/data/networking/conversation", {
                records: [
                    {
                        conversation_label: page.context.conversation_label,
                        first_contact: first_contact,
                        second_contact: second_contact
                    }
                ]
            })
                .then(function (convResp) {
                    if (convResp.response.failed != 0 || !convResp.response.success) {
                        myApp.hideIndicator();
                        myApp.alert("This conversation can not be started. Try again later.", "Attention!");
                    } else {
                        page.context.conversation = convResp.response.records[0].record_id;
                        saveToCrm(send);
                    }
                });
        }

        function saveToCrm(send) {

            try {
                if (!page.context.conversation) {
                    saveConversation(send);
                } else {
                    kvapi.post("/data/networking/message", {
                        records: [
                            {
                                from: activeID,
                                to: page.context.toParticipantId,
                                conversation: page.context.conversation,
                                content: sendArray[send].text
                            }
                        ]
                    })
                        .then(function (rs) {
                            console.log(rs);
                            if (rs.response.failed != 0 || !rs.response.success) {
                                $$('#msg' + send + ' .message-label').html("Gönderilemedi");
                                $$('#msg' + send).attr("sendError", true);
                                $$('#error' + send).show();
                            } else if (rs.response.failed == 0) {
                                $$('#msg' + send + ' .message-label').html("Gönderildi");
                                $$('#msg' + send).attr("sendError", "");
                                $$('#error' + send).hide();
                            }
                        });
                }
            } catch (err) {
                console.log(err);
                $$('#msg' + send + ' .message-label').html("Gönderilemedi");
                $$('#msg' + send).attr("sendError", true);
                $$('#error' + send).show();
            }
        }


        function showError(sendId) {
            myApp.modal({
                title: 'Message could not be sent.',
                text: 'You can resend or delete the message.',
                verticalButtons: true,
                buttons: [
                    {
                        text: 'Tekrar Dene',
                        onClick: function () {
                            $$('#msg' + sendId + ' .message-label').html("Sending..");
                            saveToCrm(sendId)
                        }
                    },
                    {
                        text: 'Sil',
                        onClick: function () {
                            $$('#msg' + sendId + ' .message-label').html("");
                            $$('#msg' + sendId).hide();
                        }
                    },
                    {
                        text: 'Vazgeç',
                        onClick: function () {
                        }
                    }
                ]

            })

        }


        $$("#msg" + send).click(function () {
            sendError = ($$(this).attr("sendError"));
            var sendId = $$(this).attr("sendId");

            if (sendError) {
                showError(sendId);
                return false;
                /*myApp.modal({
                    title: 'Message could not be sent.',
                    text: 'You can resend or delete the message.',
                    verticalButtons: true,
                    buttons: [
                        {
                            text: 'Tekrar Dene',
                            onClick: function () {
                                $$('#msg' + sendId + ' .message-label').html("Sending..");
                                saveToCrm(sendId)
                            }
                        },
                        {
                            text: 'Sil',
                            onClick: function () {
                                $$('#msg' + sendId + ' .message-label').html("");
                                $$('#msg' + sendId).hide();
                            }
                        },
                        {
                            text: 'Vazgeç',
                            onClick: function () {
                            }
                        }
                    ]

                })*/
            }
        });

        //myMessages.removeMessage($$('#msg1'));
        // Update conversation flag
        conversationStarted = true;
    });


    var pull = 0;
    // Pull to refresh content
    var ptrContent = $$('.pull-to-refresh-content');
    // Add 'refresh' listener on it
    ptrContent.on('refresh', function (e) {
        pull++;
        // Emulate 2s loading


        var filter = {"conversation": ["=", page.context.conversation]};
        var dir = "DESC";
        var sort_order = "created_on";
        var limit = 10;
        var start = pull * limit;
        kvapi.get("/data/networking/message", {
            viewId: "mobile_app",
            filters: JSON.stringify(filter),
            sort: sort_order,
            dir: dir,
            start: start,
            limit: limit
        })
            .then(function (response) {
                var messages = response.response.records;
                myApp.pullToRefreshDone();

                $$.each(messages, function (index, value) {
                    // msg tipi
                    var msgType = (value.from.value == activeID) ? "sent" : "received";
                    //msg tarihi
                    var t = ((value.created_on.split("T")));
                    var myDate = makeYMD(new Date(t[0]));
                    var msgDate = '';
                    if (today == myDate) {
                        msgDate = "Bugün";
                    } else if (yesterday == myDate) {
                        msgDate = "Dün";
                    } else {
                        var defaultDate = t[0].split('-');
                        msgDate = defaultDate[2] + '.' + defaultDate[1] + '.' + defaultDate[0];
                    }

                    //msg zamani
                    var msgTime = t[1].split('+');
                    msgTime = msgTime[0].substr(0, 5);

                    var space_booking = null;
                    if (value.space_booking) {
                        space_booking = value.space_booking.value;
                    }
                    var msg = {
                        id: 0,
                        text: value.content,
                        space_booking: space_booking,
                        type: msgType,
                        day: msgDate,
                        time: msgTime,
                        count: pull
                    };
                    myMessages.prependMessage(msg);
                    var container = $$('.page-content');
                    container.scrollTop(0, 0);
                });
                $$('.invDetail' + pull).on('click', function () {
                    invDetail(this);
                });
                //location.href = "#pg";

                // myMessages.scrollMessages(); DEvamlı üste gitmesini sagla
                // var pageObj = {
                //     toBack: "_participant_detail.html",
                //     messages: messages,
                //     toParticipant: page.context,
                //     toParticipantId: toParticipantId,
                //     conversation: conversation
                // };
                // console.log(pageObj);
                // myApp.template7Data['page:_conversation'] = pageObj;
                // mainView.router.load({
                //     reload: true,
                //     url: '_conversation.html',
                // });
            });

        // setTimeout(function () {
        //     alert("sdsd");
        // }, 2000);
    });


    $$('.invDetail0').on('click', function () {
        invDetail(this);
    });

    // Msg üzerinden davetiye yanıtlama

    function invDetail(t_this) {
        var type = $$(t_this).attr("type");
        var space_booking = $$(t_this).attr("space_booking");

        // get space_booking
        myApp.showIndicator();
        kvapi.get("/data/networking/space_booking/" + space_booking, {
            //viewId: "mobile_app",
        }).then(function (response) {
            myApp.hideIndicator();
            if (!response.response.success) {
                myApp.alert("Faild. Try again later.", "Attention!");
                return false;
            }
            if (!response.response.record) {
                myApp.alert("Faild. Try again later.", "Attention!");
                return false;
            }
            if (!response.response.record.booking_status) {
                myApp.alert("Faild. Try again later.", "Attention!");
                return false;
            }

            rs = response.response.record;
            console.log(rs);

            Number.prototype.padLeft = function (base, chr) {
                var len = (String(base || 10).length - String(this).length) + 1;
                return len > 0 ? new Array(len).join(chr || '0') + this : this;
            };
            var d = new Date(rs.start_date),
                dformat = [d.getDate().padLeft(),
                        (d.getMonth() + 1).padLeft(),
                        d.getFullYear()].join('.') +
                    ' ' +
                    [d.getHours().padLeft(),
                        d.getMinutes().padLeft(),
                        /*d.getSeconds().padLeft()*/].join(':');
            rs.start_dateStr = dformat;

            var btns = [];
            var answerStr = '';
            console.log(rs);
            n = new Date();

            var expiredMinute = 45;
            if (n < new Date(eventTime)) {
                expiredMinute = beforeEvent;
            } else {
                expiredMinute = afterEvent;
            }
            console.log(expiredMinute);
            var expired = new Date();
            expired = KV.getUTC(expired);
            expired.setMinutes(expired.getMinutes() - expiredMinute);

            var created_on = rs.created_on;
            created_on = new Date(created_on);
            created_on = KV.getUTC(created_on);


            switch (rs.booking_status.value) {
                case 1:
                    if (created_on.getTime() > expired.getTime()) {

                        if (type == 'sent') {
                            btns = [
                                {
                                    text: 'Cancel Invitation',
                                    color: 'red',
                                    onClick: function () {
                                        myApp.showIndicator();
                                        answerToInvitation(4); // Declined
                                        answerStr = "cancelled."
                                    }
                                }
                            ]
                        }
                        else if (type == 'received') {
                            btns = [
                                {
                                    text: 'Accept Invitation',
                                    color: 'green',
                                    onClick: function () {
                                        myApp.showIndicator();
                                        answerToInvitation(2); // Declined
                                        answerStr = "accepted."
                                    }
                                },
                                {
                                    text: 'Decline Invitation',
                                    color: 'red',
                                    onClick: function () {
                                        myApp.showIndicator();
                                        answerToInvitation(3); // Declined
                                        answerStr = "declined."
                                    }
                                }
                            ]
                        }
                    } else {
                        rs.booking_status.value = 0;
                        rs.booking_status.label = "Expired";
                        rs.booking_status.expDate = "Expired";
                    }
                    break;
                case 2:
                    btns = [
                        {
                            text: 'Cancel Invitation',
                            color: 'red',
                            onClick: function () {
                                myApp.showIndicator();
                                answerToInvitation(4); // Declined
                                answerStr = "cancelled."
                            }
                        }
                    ];
                    break;
                default:
                    btns = [];
                    break;
            }

            btns.push({
                text: 'Close'
            });

            console.log(rs.booking_status.value);

            var exTd = '';
            if (rs.booking_status.value == 1) {
                //________exp
                var delta = (created_on - expired) / 1000;
                var days = Math.floor(delta / 86400);
                delta -= days * 86400;
                var hours = Math.floor(delta / 3600) % 24;
                delta -= hours * 3600;
                var minutes = Math.floor(delta / 60) % 60;
                delta -= minutes * 60;
                var seconds = delta % 60;
                ex = '';
                if (hours > 0) {
                    ex += String(hours) + 'h ';
                }
                if (minutes > 0) {
                    ex += String(minutes) + 'm';
                }
                if (!minutes && !hours) {
                    ex = '0m';
                }
                rs.booking_status.expDate = ex;
                //________exp
                exTd = '<tr><td style="float:left;white-space: nowrap">Rem. To Accept</td> <td>:</td> <td style="float:right; color:red">' + rs.booking_status.expDate + '</td></tr>';
            }

            myApp.modal({
                title: 'Invitation Detail',
                text: '<table style="margin:0 auto">' +
                '<tr><td style="float:left">From</td> <td>:</td> <td style="float:right">' + rs.requesting_registration.label + '</td> </tr>' +
                '<tr><td style="float:left">To</td> <td>:</td> <td style="float:right">' + rs.invited_registration.label + '</td> </tr>' +
                '<tr><td style="float:left">Space</td> <td>:</td> <td style="float:right">' + rs.space.label + '</td> </tr>' +
                '<tr><td style="float:left">Date</td> <td>:</td> <td style="float:right">' + rs.start_dateStr + '</td> </tr>' +
                '<tr><td style="float:left">Status</td> <td>:</td> <td style="float:right">' + rs.booking_status.label + '</td> </tr>' +
                exTd +
                '</table>',
                verticalButtons: true,
                buttons: btns
            });


            if (rs.invited_registration.value == activeID) {
                var to = rs.requesting_registration;
            }

            if (rs.requesting_registration.value == activeID) {
                var to = rs.invited_registration;
            }


            function answerToInvitation(answer) {


                kvapi.patch("/data/networking/space_booking", {
                    records: [
                        {
                            record_id: rs.record_id,
                            booking_status: answer
                        }
                    ]
                }).then(function (resp) {
                    console.log(response);
                    if (resp.response.success) {
                        //myApp.alert("Invitation " + answerStr, "Success") // bilgi ver
                        KV.privateMeetMsg({
                            item: rs,
                            to: to,
                            answer: answer,
                            toConversationPage: true,
                            toBack: page.context.toBack
                        }); // ilgili işlem için konuşmaya mesaj gönder
                        //myApp.hideIndicator(); // loadingi gizle
                        //KV._toConverstaion(KV.activeConversationParams)
                    } else {
                        KV.alertFail();
                    }
                })
                    .catch(function () {
                        KV.alertFail();
                    })
                ;
            }
        }).catch(function (err) {
            console.log(err);
            if (err.response) {
                if (err.response.error == "RECORD_NOT_FOUND") {
                    KV.alertFail("This invitation has been deleted.");
                    return false;
                }
            }
            KV.alertFail();
        });
    }


});