

// Initialize your app
var myApp = new Framework7({
    animateNavBackIcon: true,
    // Enable templates auto precompilation
    precompileTemplates: true,
    // Enabled pages rendering using Template7
    template7Pages: true,
    template7Data: {},
    onPageInit: function (page, pageData) {

        //
    }
});


// Export selectors engine
var $$ = Dom7;

// Add main View
var mainView = myApp.addView('.view-main', {
    // Enable dynamic Navbar
    dynamicNavbar: true

});


//////////////////////////////////////////////////////
// kv
var kivaAccountName = "kvacc5371";
var activeID = null;
var mobileAppId = 2;
var website = 'http://educaturk-demo.kivayazilim.com/';
var mainMenuDepth = 0;
var popupOpen = 0;
var myPhotoBrowserPopup = '';
var androidStoreAppId = "com.boyutgroup.educaturk";
var iosStoreAppId = "1147694001";


var KV = {
    // Auth Control

    versionNumber: "1.1.60",
    activeEvent: null,
    push: null,

    activeExtended: null,
    getAccessToken: function (force, onComplete) {
        force = force || false;

        if (!force && sessionStorage.accessToken) {
            kvapi.setAccessToken(sessionStorage.accessToken);
        } else {
            // get your access token from your server
            $$.ajax({
                    url: website + 'mobil/apiTicket.php',
                    data: {},
                    complete: function (response) {
                        var r = JSON.parse(response.responseText);
                        sessionStorage.accessToken = r.access_token;

                        kvapi.setAccessToken(sessionStorage.accessToken);

                        if (typeof(onComplete) == "function") onComplete();
                    }
                }
            );
        }
    },
    getConfig: function () {
        // localStorage.clear();
        // sessionStorage.clear();
        KV.getAccessToken();

        // MOBILE DEVICE SOR
        if (deviceID) {


            // Önce uygulamanın bağlı olduğu event çekilmeli, her event için farklı kayıt olunması gerekiyor.

            kvapi.get("/data/cms/mobile_app", {
                viewId: "all",
                filters: JSON.stringify({
                    "cms_mobile_app_id": ["=", mobileAppId]
                })
            }).then(function (cb) {
                console.log(cb.response.records[0])
                KV.userPolicy = (cb.response.records[0].usage_policy_url);
                KV.activeEvent = cb.response.records[0].event_name.value;

                var filter = {"device_id": ["=", deviceID], "event_name": ["=", KV.activeEvent]};
                kvapi.get("/data/cms/mobile_device", {
                    viewId: "mobile_app",
                    filters: JSON.stringify(filter)
                })
                    .then(function (response) {
                        if (response.response.total < 1) {
                            mainView.router.load({
                                reload: true,
                                url: 'loginType.html',
                                context: ''
                            });
                        } else {

                            if (!response.response.records[0].active && response.response.records[0].relatedData.registration.show_only_users.value == 6) {
                                var dialog = myApp.modal({
                                    title: 'E-Posta Onayı!',
                                    text: 'Kaydınız alınmıştır, Uygulamaya giriş yapabilmek için e-posta adresinize gelen linki onaylayınız.',
                                    buttons: [
                                        {
                                            text: 'Onayladım',
                                            onClick: function () {
                                                myApp.closeModal(dialog);
                                                KV.getConfig();
                                            }
                                        }

                                    ]
                                });

                            } else {
                                activeID = response.response.records[0].registration.value;

                                kvapi.get("/data/event/registration", {
                                    viewId: "mobile_app",
                                    filters: JSON.stringify({
                                        "event_registration_id": ["=", activeID]
                                    })
                                }).then(function (cb) {
                                    //console.log("sdsdsd");

                                    var allUserData = cb.response.records[0];
                                    var userData = {
                                        "userID": activeID,
                                        "deviceRecordID": response.response.records[0].record_id,
                                        "userName": response.response.records[0].relatedData.registration.firstname + ' ' + response.response.records[0].relatedData.registration.lastname,
                                        "allUserData": allUserData
                                    };
                                    localStorage.setItem("userData", JSON.stringify(userData));

                                    if (!localStorage.userData) {

                                        KV.getAccessToken();
                                        kvapi.get("/data/cms/mobile_app", {
                                            viewId: "all",
                                            filters: JSON.stringify({
                                                "cms_mobile_app_id": ["=", mobileAppId]
                                            })
                                        }).then(function (cb) {
                                            KV.userPolicy = (cb.response.records[0].usage_policy_url);
                                            mainView.router.load({
                                                reload: true,
                                                url: 'loginType.html',
                                                context: '',
                                            });
                                        }).catch(function (cb) {
                                            console.log(cb);
                                        });
                                    }
                                    else {
                                        KV.getAccessToken();
                                        var show_only_users = JSON.parse((localStorage.getItem("userData"))).allUserData.show_only_users.value;


                                        // init PUSH
                                        /*if (KV.push == null) {
                                         KV.push = PushNotification.init({
                                         android: {
                                         senderID: "129613237013",
                                         sound: true,
                                         vibrate: true,
                                         topics: ['all', 'android', 'userType' + show_only_users]
                                         },
                                         ios: {
                                         alert: true,
                                         badge: true,
                                         clearBadge: true,
                                         sound: true,
                                         senderID: "129613237013",
                                         gcmSandbox: false,
                                         topics: ['all', 'ios', 'userType' + show_only_users]
                                         },
                                         windows: {}
                                         });

                                         KV.push.on('registration', function (data) {
                                         console.log(data);

                                         var oldRegId = localStorage.getItem('pushRegistrationId');
                                         if (oldRegId !== data.registrationId) {
                                         // Save new registration ID
                                         localStorage.setItem('pushRegistrationId', data.registrationId);
                                         // Post registrationId to your app server as the value has changed
                                         kvapi.post("/data/cms/mobile_device", {
                                         upsert: true,
                                         upsertFields: ["push_token"],
                                         records: [
                                         {
                                         device_id: deviceID,
                                         push_token: data.registrationId
                                         }
                                         ]
                                         })
                                         .then(function (response) {
                                         console.log("Device RegistrationId Changed");
                                         });
                                         }
                                         });

                                         KV.push.on('notification', function (data) {
                                         //console.log(data);
                                         KV.push.setApplicationIconBadgeNumber(function () {
                                         //console.log('success');
                                         }, function () {
                                         //console.log('error');
                                         }, 0);

                                         myApp.alert(data.message, data.title, function () {
                                         if (data.additionalData != undefined) {
                                         if (data.additionalData.route != undefined) {
                                         KV.getStaticPage(data.additionalData.route);
                                         }
                                         }
                                         });
                                         });

                                         KV.push.on('error', function (e) {
                                         console.log(e)
                                         });
                                         }*/

                                        var html = '';
                                        myApp.showIndicator();
                                        $$.ajax({
                                                url: "http://educaturk-demo.kivayazilim.com/mobilconf/" + mobileAppId + '/' + show_only_users,
                                                dataType: "jsonp",
                                                jsonpCallback: "callback",
                                                data: {deneme: "deneme"},
                                                error: function () {
                                                    myApp.hideIndicator();
                                                    myApp.modal({
                                                        title: 'Error',
                                                        text: 'Uygulama datası yüklenemedi.',
                                                        buttons: [
                                                            {
                                                                text: 'Yeniden Yükle',
                                                                onClick: function () {
                                                                    KV.getConfig();
                                                                }
                                                            },
                                                            {
                                                                text: 'İptal',
                                                                onClick: function () {

                                                                }
                                                            }
                                                        ]
                                                    })
                                                },
                                                success: function (response) {
                                                    //console.log("sdsd");

                                                    myApp.hideIndicator();
                                                    var rs = JSON.parse(response);
                                                    //mobileAppId = rs.mobile_app_id;
                                                    $$('#appName').attr('src', website + rs.header_logo);
                                                    //$$('#adBanner').attr('src', rs.banner.image_url);
                                                    var adBannerHtml = '<img src="' + rs.banner.image_url + '" id="adBanner" style="width: 100%; height: 100%">';
                                                    console.log(rs.banner.link);
                                                    if (rs.banner.link !== null) {
                                                        adBannerHtml = '<a href="' + rs.banner.link + '"  class="external" target="_system">' + adBannerHtml + '</a>';
                                                    }
                                                    KV.gloabalBannerHtml = adBannerHtml;
                                                    $$('#adBanner').html(adBannerHtml);
                                                    $$('.toolbar-bottom').css("z-index", "999");
                                                    $$('.navbar').css("z-index", "999");

                                                    //$$('#adBanner').css('background-image', 'url(' + website + rs.header_logo + ')');

                                                    $$('#userName').html(JSON.parse((localStorage.getItem("userData"))).userName);

                                                    var menu = rs.menu;
                                                    var menuArrayTemp = [];

                                                    KV.menu = [];
                                                    $$.each(menu, function (index, value) {
                                                        menuArrayTemp.push(value);
                                                        KV.menu[value.record_id] = value;
                                                        if (value.sub) {
                                                            $$.each(value.sub, function (index2, value2) {
                                                                KV.menu[value2.record_id] = value2;
                                                                if (value2.sub) {
                                                                    $$.each(value2.sub, function (index3, value3) {
                                                                        KV.menu[value3.record_id] = value3;
                                                                    })
                                                                }
                                                            })
                                                        }
                                                    });

                                                    KV.setLeftPanel(menu);
                                                    KV.mainMenu = menuArrayTemp;
                                                    //KV.initMenu(menuArrayTemp);

                                                    // Version Kontrol
                                                    kvapi.get("/data/cms/mobile_app_version", {
                                                        viewId: "all",
                                                        filters: JSON.stringify({
                                                            "mobile_app": ["=", mobileAppId],
                                                            "platform": ["=", (myApp.device.os == "android") ? 2 : 1]
                                                        }),
                                                        sort: "version_number DESC",
                                                        start: 0,
                                                        limit: 1
                                                    })
                                                        .then(function (cb) {
                                                            console.log("Installed Version: " + KV.versionNumber);
                                                            console.log("Lastest Version: " + cb.response.records[0].version_number);

                                                            if (cb.response.records[0].version_number != KV.versionNumber) {
                                                                myApp.modal({
                                                                    "title": "Yeni Versiyon!",
                                                                    "text": "Educaturk Mobil Uygulamasını tüm özellikleri ile kullanmak için lütfen güncelleyin.",
                                                                    "buttons": [{
                                                                        "text": "Güncel Versiyonu Yükle"
                                                                    }],
                                                                    "onClick": function () {
                                                                        if (myApp.device.os == "android") {
                                                                            window.location = "market://details?id=" + androidStoreAppId;
                                                                        } else if (myApp.device.os == "ios") {
                                                                            var link = "itms-apps://itunes.apple.com/app/id" + iosStoreAppId;
                                                                            cordova.InAppBrowser.open(link, "_system", "location=yes")
                                                                        }
                                                                    }
                                                                });
                                                            } else {

                                                            }
                                                        });


                                                    KV.pushMenuTest = false;
                                                    if (KV.pushMenuTest) {
                                                        record_id = 125;
                                                        var item = KV.menu[record_id];
                                                        console.log(item);
                                                        if (item.sub) {
                                                            KV.activeExtended = record_id;
                                                            var pageType = (item.pageType) ? item.pageType : null;
                                                            KV.initMenu(item.sub, pageType, '', record_id, true);
                                                        }
                                                    } else {
                                                        KV.initMenu(menuArrayTemp);
                                                    }
                                                }
                                            }
                                        )
                                        ;


                                    }

                                }).catch(function () {

                                })
                            }
                        }
                    })
                    .catch(function (response) {
                        //console.log("catch_");
                    });

            }).catch(function (cb) {
                console.log(cb);
            });

        } else {
            myApp.alert("Uygulamayı Mobil Cihaz ile denemelisiniz.", "UYARI");
        }


    },

    getStaticPage: function (route, pageType, upPageType) {
        console.log(route);
        myApp.showIndicator();
        $$.ajax({
            url: "http://educaturk-demo.kivayazilim.com" + route,
            dataType: "jsonp",
            jsonpCallback: "callback",
            data: {fromMobile: true},
            error: function () {
                myApp.hideIndicator();
                myApp.modal({
                    title: 'Error',
                    text: 'Uygulama datası yüklenemedi.',
                    buttons: [
                        {
                            text: 'Yeniden Yükle',
                            onClick: function () {
                                KV.getStaticPage(route);
                            }
                        },
                        {
                            text: 'İptal',
                            onClick: function () {

                            }
                        }
                    ]
                })
            },
            success: function (response) {

                myApp.hideIndicator();
                var rs = JSON.parse(response);
                rs.upPageType = (upPageType == 'mainExtended') ? true : false;
                console.log(rs);


                var adBanner = KV.gloabalBannerHtml;
                var bannerLink = '#';
                pageType = rs.pageType;
                if (pageType == 'static') {
                    if (typeof rs.banner !== "undefined") {
                        console.log(rs.banner_link);
                        adBannerHtml = '<img src="' + rs.banner + '" id="adBanner" style="width: 100%; height: 100%">';
                        if (typeof rs.banner_link !== "undefined") {
                            adBannerHtml = '<a href="' + rs.banner_link + '"  class="external" target="_system">' + adBannerHtml + '</a>';
                        }
                        $$('#adBanner').html(adBannerHtml);
                    } else {
                        $$('#adBanner').html(KV.gloabalBannerHtml);
                    }
                    $$('#adBanner').show();

                    if (typeof rs.page_content_tr === "undefined") {
                        rs.page_content_tr = rs.empty_text;
                    }
                    myApp.template7Data['page:static'] = rs;
                    mainView.router.load({
                        reload: true,
                        url: 'static.html',
                    });
                } else {
                    if (typeof rs.dynamicPageType.banner !== "undefined") {
                        adBannerHtml = '<img src="' + rs.dynamicPageType.banner + '" id="adBanner" style="width: 100%; height: 100%">';
                        if (typeof rs.dynamicPageType.banner_link !== "undefined") {
                            adBannerHtml = '<a href="' + rs.dynamicPageType.banner_link + '"  class="external" target="_system">' + adBannerHtml + '</a>';
                        }
                        $$('#adBanner').html(adBannerHtml);
                    } else {
                        $$('#adBanner').html(KV.gloabalBannerHtml);
                    }

                    $$('#adBanner').show();

                    var pg = null;
                    if (typeof rs.dynamicPageType.empty_text === "undefined") {
                        rs.dynamicPageType.empty_text = "";
                    }
                    switch (rs.dynamicPageType.dynamic_page_type.value) {
                        case 16:
                            myApp.showIndicator();
                            KV.openQrCodeReader();
                            return;
                            break;
                        case 17:
                            pg = "qrContactList";
                            var filter = {"registration": ["=", activeID]};
                            var dir = "ASC";
                            var sort_order = "fullname";
                            kvapi.get("/data/networking/contact_list", {
                                viewId: "mobile_app",
                                filters: JSON.stringify(filter),
                                sort: sort_order,
                                dir: dir

                            })
                                .then(function (response) {
                                    var data = response.response.records;

                                    var x = {};
                                    for (var i = 0; i < data.length; ++i) {
                                        var obj = data[i];
                                        //If a property for this FULLNAME FIRST LETTER does not exist yet, create
                                        var key = KV.trkToUppercase(obj.fullname.charAt(0));
                                        obj.key = key;
                                        if (x[key] === undefined)
                                            x[key] = []; //Assign a new array with the first element of FULLNAME FIRST LETTER.
                                        //x will always be the array corresponding to the current FULLNAME FIRST LETTER. Push a value the current value to it.
                                        x[key].push(obj);
                                    }
                                    rs.qrContactList = x;
                                    rs.qrContactListLength = (Object.keys(x).length);
                                    rs.empty_text = rs.dynamicPageType.empty_text;
                                    KV.qrContactList = rs.qrContactList;
                                    console.log(rs);

                                    KV.dynamicRoute(pg, rs);
                                })

                            break;
                        case 18:
                            pg = "quiz";


                            var controlUserData = (JSON.parse((localStorage.getItem("userData"))).allUserData);
                            var ctrl = 0;

                            if ((controlUserData.show_only_users.value == 2 || controlUserData.show_only_users.value == 3) && !controlUserData.organization_non_exhibitor) {
                                ctrl = 1;
                            }

                            if (controlUserData.show_only_users.value == 2 && (!controlUserData.relatedData.part_contact.title)) {
                                ctrl = 1;
                            }

                            if (controlUserData.show_only_users.value == 3 && (!controlUserData.classroom || !controlUserData.student_department)) {
                                ctrl = 1;
                            }

                            if (controlUserData.show_only_users.value == 6 && (!controlUserData.organization || !controlUserData.exhibitor_req_city || !controlUserData.relatedData.part_contact.title)) {
                                ctrl = 1;
                            }

                            if (!controlUserData.firstname || !controlUserData.lastname || !controlUserData.email || !controlUserData.relatedData.part_contact.phone || !controlUserData.relatedData.part_contact.date_of_birth || !controlUserData.relatedData.part_contact.gender || !controlUserData.address_city || !controlUserData.contact_preferences
                            ) {
                                ctrl = 1;
                            }

                            if (ctrl == 1) {
                                var dialog = myApp.modal({
                                    title: 'Dikkat!',
                                    text: 'Yarışma ve fırsatlardan yararlanmak için profilinizi tamamlayınız.',
                                    buttons: [
                                        {
                                            text: 'Vazgeç',
                                            onClick: function () {
                                                myApp.closeModal(dialog);
                                            }
                                        },
                                        {
                                            text: 'Profili Tamamla',
                                            onClick: function () {
                                                data = {
                                                    pageTitle: "PROFİLİM",
                                                    userData: controlUserData,
                                                    return: {route: route, pageType: pageType, upPageType: upPageType}
                                                }
                                                KV.dynamicRoute("profile", data);
                                            }
                                        },

                                    ]
                                });
                            }


                            else {

                                var now = new Date();
                                var iso = now.toISOString().match(/(\d{4}\-\d{2}\-\d{2})T(\d{2}:\d{2}:\d{2})/)
                                var filterDate = iso[1] + ' ' + iso[2]
                                var show_only_users = JSON.parse((localStorage.getItem("userData"))).allUserData.show_only_users.value;
                                kvapi.get("/data/game/quiz", {
                                    viewId: "mobile_app",
                                    filters: JSON.stringify({
                                        "start_date": ["<", filterDate],
                                        "end_date": [">", filterDate],
                                        "active": ["=", "1"]
                                    }),
                                }).then(function (cb) {
                                    //console.log(cb.response.records);
                                    var records = [];
                                    $$.each(cb.response.records, function (index, value) {
                                        value.start_date = KV.setDate(value.start_date);
                                        value.end_date = KV.setDate(value.end_date);
                                        if (!value.show_only_users) {
                                            records.push(value);
                                        } else {
                                            $$.each(value.show_only_users, function (sindex, svalue) {
                                                if (svalue.value == 1 || svalue.value == show_only_users) {
                                                    records.push(value);
                                                }
                                            });
                                        }
                                    });

                                    console.log(rs);
                                    KV.dynamicRoute(pg, {records: records, empty_text: rs.dynamicPageType.empty_text});

                                }).catch(function (rs) {
                                    printResponse(rs);
                                });
                            }
                            break;
                        case 19:
                            var qrData = JSON.parse((localStorage.getItem("userData")))[rs.dynamicPageType.qr_code_data]

                            if (!qrData) {
                                //console.log("qrdata yok")
                            } else {
                                //console.log("qrdata var")
                            }
                            //return false;
                            pg = "createQr";
                            kvapi.get("/data/event/registration/" + activeID + "/template/" + rs.dynamicPageType.qr_code_data, {
                                viewId: "all"
                            }).then(function (cb) {

                                rs.qrCode = {file: cb.response.content};
                                KV.dynamicRoute(pg, rs);
                            }).catch(function (rs) {
                                printResponse(rs);
                            });
                            break;
                            /*qrData = KV.getQrData(rs.dynamicPageType.qr_code_data);

                             cordova.plugins.barcodeScanner.encode(cordova.plugins.barcodeScanner.Encode.TEXT_TYPE, qrData, function (success) {


                             var qrCodeImg = success.file + '?r=' + Math.random();

                             rs.qrCode = {file: qrCodeImg};
                             KV.dynamicRoute(pg, rs);


                             }, function (fail) {
                             alert("encoding failed: " + fail);
                             myApp.alert("QR kod oluşturulamadı.", "Hata!")
                             }
                             );*/

                            break;
                        case 20:
                            pg = "calendar2.html";
                            kvapi.get("/data/cms/calendar_entry", {
                                viewId: "mobile_app",
                                filters: JSON.stringify({
                                    "dynamic_page": ["=", rs.dynamicPageType.record_id]
                                })
                            }).then(function (cb) {
                                console.log(cb.response.records);
                                //console.log(rs);
                                var data = {
                                    events: cb.response.records,
                                    pageTitle: rs.pageTitle,
                                    empty_text: rs.dynamicPageType.empty_text
                                };
                                // console.log(data);

                                mainView.router.load({
                                    reload: true,
                                    url: pg,
                                    context: data
                                });

                            }).catch(function (rs) {
                                console.log(rs);
                            });

                            break;

                        case 21:


                            var now = new Date();
                            var iso = now.toISOString().match(/(\d{4}\-\d{2}\-\d{2})T(\d{2}:\d{2}:\d{2})/)
                            var filterDate = iso[1] + ' ' + iso[2];
                            pg = "poll.html";

                            var records = [];
                            kvapi.get("/data/event/poll", {
                                viewId: "mobile_app",
                                filters: JSON.stringify({
                                    "end_time": [">", filterDate],
                                    "active": ["=", "1"],
                                    "poll_type": ["=", "1"],
                                    "registration": ["=", activeID]
                                }),
                                sort: "sort_order",
                                dir: "ASC"
                            }).then(function (res) {
                                records = res.response.records;
                                kvapi.get("/data/event/poll", {
                                    viewId: "mobile_app",
                                    filters: JSON.stringify({
                                        "end_time": [">", filterDate],
                                        "active": ["=", "1"],
                                        "poll_type": ["=", "1"],
                                        "registration": ["EMPTY"]
                                    }),
                                    sort: "sort_order",
                                    dir: "ASC"
                                }).then(function (cb) {
                                    var show_only_users = JSON.parse((localStorage.getItem("userData"))).allUserData.show_only_users.value;
                                    $$.each(cb.response.records, function (index, value) {
                                        value.end_time = KV.setDate(value.end_time);
                                        if (!value.show_only_users) {
                                            records.push(value);
                                        } else {
                                            $$.each(value.show_only_users, function (sindex, svalue) {
                                                if (svalue.value == 1 || svalue.value == show_only_users) {
                                                    records.push(value);
                                                }
                                            });
                                        }
                                    });
                                    myApp.template7Data['page:poll'] = {
                                        records: records,
                                        empty_text: rs.dynamicPageType.empty_text
                                    };

                                    mainView.router.load({
                                        reload: true,
                                        url: pg,
                                    });
                                })
                            });


                            //KV.dynamicRoute(pg, rs);

                            break;

                        case 22:
                            pg = "news";
                            var records = [];
                            kvapi.get("/data/event/news", {
                                viewId: "mobile_app",
                                filters: JSON.stringify({
                                    "active": ["=", "1"],
                                    "registration": ["=", activeID]
                                }),

                            }).then(function (res) {
                                console.log(res.response.records);

                                records = res.response.records;


                                kvapi.get("/data/event/news", {
                                    viewId: "mobile_app",
                                    filters: JSON.stringify({
                                        "active": ["=", "1"],
                                        "registration": ["EMPTY"]
                                    })

                                }).then(function (cb) {
                                    console.log(cb.response);

                                    var show_only_users = JSON.parse((localStorage.getItem("userData"))).allUserData.show_only_users.value;
                                    $$.each(cb.response.records, function (index, value) {
                                        value.newsDate = KV.setDate(value.created_on);
                                        var grp = Math.floor(value.record_id / 1000);
                                        value.thumbnail_url = "https://desktop.kivacrm.com/accounts/" + kivaAccountName + "/data/photo/event_news/grp_" + grp + "/thumb_" + value.thumb;

                                        if (!value.show_only_users) {
                                            records.push(value);
                                        } else {
                                            $$.each(value.show_only_users, function (sindex, svalue) {
                                                if (svalue.value == 1 || svalue.value == show_only_users) {
                                                    records.push(value);
                                                }
                                            });
                                        }
                                    });

                                    console.log(records);


                                    data = {
                                        pageTitle: rs.pageTitle,
                                        records: records,
                                        empty_text: rs.dynamicPageType.empty_text
                                    }
                                    ;


                                    KV.dynamicRoute(pg, data)

                                }).catch(function (cb) {

                                });
                            });


                            //KV.dynamicRoute(pg, rs);

                            break;
                        case 13:
                            kvapi.get("/data/cms/photo", {
                                viewId: "all",
                                filters: JSON.stringify({
                                    "dynamic_page": ["=", rs.dynamicPageType.record_id]
                                }),
                                sort: "sort_order",
                                dir: "ASC"
                            }).then(function (cb) {
                                console.log(cb.response);
                                if (cb.response.total > 0) {
                                    var photoGallery = [];
                                    $$.each(cb.response.records, function (index, value) {
                                        var photoData = {
                                            "record_id": value.record_id,
                                            "caption": value.label,
                                            "url": value.photo_url
                                        };
                                        photoGallery.push(photoData);
                                    });

                                    var nt = '' +
                                        '<div class="navbar"> ' +
                                        '<div class="navbar-inner"> ' +
                                        '<div class="left sliding"> ' +
                                        '<a href="#" class="link close-popup photo-browser-close-link {{#unless backLinkText}}icon-only{{/unless}} ' +
                                        '{{js "this.type === \'page\' ? \'back\' : \'\'"}}"> ' +
                                        '<i class="fa fa-chevron-left kvBack {{iconsColorClass}}"></i>' +
                                        'Geri</a> </div> <div class="center sliding"> ' +
                                        '<span style="color:black;" class="photo-browser-current {{iconsColorClass}}"></span> <span style="color:black;" class="photo-browser-of {{iconsColorClass}}">{{ofText}}</span> ' +
                                        '<span style="color:black;" class="photo-browser-total"></span> </div> <div class="right {{iconsColorClass}}"></div> </div> </div> '

                                    myPhotoBrowserPopup = myApp.photoBrowser({
                                        photos: photoGallery,
                                        type: 'popup',
                                        lazyLoading: true,
                                        navbarTemplate: nt,
                                        swipeToClose: false,
                                        onOpen: function () {

                                            KV.openPhotoBrowser();
                                            popupOpen = 1;
                                        },
                                        onClose: function () {
                                            popupOpen = 0;
                                        }
                                    });
                                    myPhotoBrowserPopup.open();
                                } else {
                                    myApp.alert(rs.dynamicPageType.empty_text, "Bilgi");
                                }

                                // foreach ($photos as $photo) {
                                // $dt = new \stdClass();
                                // $dt->record_id = $photo->record_id;
                                // $dt->caption = $photo->label;
                                // $dt->url = $photo->photo_url;
                                // $pageData->photoGallery[] = $dt;

                            }).catch(function (rs) {
                                console.log(rs);
                            });
                            break;
                        case 25:
                            pg = 'profile';
                            kvapi.get("/data/event/registration", {
                                viewId: "mobile_app",
                                filters: JSON.stringify({
                                    "event_registration_id": ["=", activeID]
                                })
                            }).then(function (cb) {

                                var userData = cb.response.records[0];
                                data = {
                                    pageTitle: rs.pageTitle, userData: userData, return: false
                                }
                                KV.dynamicRoute(pg, data);
                            }).catch(function () {

                            })
                            break;
                        case 23:
                            cordova.plugins.barcodeScanner.scan(
                                function (result) {
                                    if (result.cancelled == 0 && result.text) {
                                        //$$('.page-content').append('')
                                        $$('.qrTextPopup').show();
                                        myApp.popup('.qrTextPopup');
                                        $$('#qrTextPopupText').html(result.text);
                                    }
                                },
                                function (error) {
                                    alert("Scanning failed: " + error);
                                },
                                {
                                    "preferFrontCamera": false, // iOS and Android
                                    "showFlipCameraButton": false, // iOS and Android
                                    "prompt": "Place a barcode inside the scan area", // supported on Android only
                                    "formats": "QR_CODE", // default: all but PDF_417 and RSS_EXPANDED
                                    "orientation": "landscape" // Android only (portrait|landscape), default unset so it rotates with the device
                                }
                            );
                            break;
                        case 26:
                            var page_params = JSON.parse(rs.dynamicPageType.parameters);
                            var app = page_params.app;
                            var model = page_params.model;
                            var field = page_params.display_field;
                            var event_id = rs.dynamicPageType.event_name.value;
                            console.log(event_id);
                            kvapi.get("/data/" + app + "/" + model, {
                                viewId: 'all',
                                //viewId: 'tum_ziyaretci_liseler',
                                filters: JSON.stringify({
                                    "event": ["=", event_id]
                                }),
                                sort: field,
                                dir: 'ASC'
                            }).then(function (cb) {
                                var records = cb.response.records;

                                console.log(records);
                                recordsLength = records.length;

                                var x = {};
                                var y = {};
                                for (var i = 0; i < records.length; ++i) {
                                    var obj = records[i];
                                    //If a property for this FULLNAME FIRST LETTER does not exist yet, create
                                    var key = KV.trkToUppercase(obj[field].charAt(0));
                                    obj.key = key;
                                    if (records[i].first_day) {
                                        if (x[key] === undefined)
                                            x[key] = []; //Assign a new array with the first element of FULLNAME FIRST LETTER.
                                        //x will always be the array corresponding to the current FULLNAME FIRST LETTER. Push a value the current value to it.
                                        x[key].push(obj);
                                    }
                                    if (records[i].second_day) {
                                        if (y[key] === undefined)
                                            y[key] = []; //Assign a new array with the first element of FULLNAME FIRST LETTER.
                                        //x will always be the array corresponding to the current FULLNAME FIRST LETTER. Push a value the current value to it.
                                        y[key].push(obj);
                                    }
                                }

                                var allRecord = [];


                                var data = {
                                    pageTitle: rs.pageTitle,
                                    records: x,
                                    records2: y,
                                    upPageType: rs.upPageType,
                                    event_id: event_id,
                                    empty_text: rs.dynamicPageType.empty_text,
                                    recordsLength: recordsLength
                                };
                                var pg = 'ziyaretciLiseler';
                                KV.dynamicRoute(pg, data);
                            }).catch(function () {

                            })

                            break;

                        case 27:
                            var event_id = rs.dynamicPageType.event_name.value;

                            kvapi.get("/data/event/exhibitor", {
                                viewId: 'all',
                                filters: JSON.stringify({
                                    "event": ["=", event_id]
                                }),
                                sort: 'rel_organization_label',
                                dir: 'ASC'
                            }).then(function (cb) {
                                var records = cb.response.records;

                                var x = {};
                                for (var i = 0; i < records.length; ++i) {
                                    var obj = records[i];
                                    //If a property for this FULLNAME FIRST LETTER does not exist yet, create
                                    var key = KV.trkToUppercase(obj.organization.label.charAt(0));
                                    obj.key = key;
                                    obj.relatedData.organization.group = Math.floor(obj.relatedData.organization.record_id / 1000);
                                    if (x[key] === undefined)
                                        x[key] = []; //Assign a new array with the first element of FULLNAME FIRST LETTER.
                                    //x will always be the array corresponding to the current FULLNAME FIRST LETTER. Push a value the current value to it.
                                    x[key].push(obj);
                                }
                                var data = {
                                    pageTitle: rs.pageTitle,
                                    records: x,
                                    upPageType: rs.upPageType,
                                    event_id: event_id,
                                    empty_text: rs.dynamicPageType.empty_text,
                                    recordsLength: (Object.keys(x).length)
                                };
                                var pg = 'katilimciUniversiteler';
                                KV.dynamicRoute(pg, data);
                            });

                            break;
                        case 29: // external page
                        // window.open(rs.dynamicPageType.static_content_tr, "_system");
                        // break;

                    }
                    //console.log('dynamic');
                }
            }
        });
    },

    dynamicRoute: function (page, rs) {
        t7 = 'page:' + page;
        myApp.template7Data[t7] = rs;
        mainView.router.load({
            reload: true,
            //reloadPrevious: true,
            url: page + '.html'
        });
    },

    initMenu: function (menuArrayTemp, pageType, recordId, getupId, addMainNav) {
        console.log("MenuArrayTemp", menuArrayTemp);
        console.log("pageType", pageType);
        console.log("recordId", recordId);
        console.log("getupId", getupId);
        console.log("addMainNav", addMainNav);
        console.log("initMenu");
        var menuArray = [];

        var index = (!recordId) ? 0 : null;

        var routerUrl = 'main.html';
        if (pageType == 'parentMenuExtended' || pageType == 'parentMenuExtended-2') {

            var subArray = [];
            routerUrl = 'mainExtended.html';
            menuArray = menuArrayTemp;


            var pickerValue = [];


            var pickerLabel = [];
            var control = 0;

            for (var l = 0; l < menuArray.length; l++) {


                if (recordId == menuArray[l].record_id) {
                    index = l;
                    control = 1;
                }

                if (control == 0) {
                    if (menuArray[l].gosterilme_tarihi) {
                        //var g_tarihi = (KV.setDate(menuArray[l].gosterilme_tarihi));
                        tmp = menuArray[l].gosterilme_tarihi.split('+');
                        g_tarihi = Date.parse(tmp[0]);
                        now_ = Date.parse(new Date());
                        if (g_tarihi < now_) {
                            index = l;
                        }
                    }
                }

                pickerLabel[l] = menuArray[l].menu_title_tr;
                pickerValue[l] = menuArray[l].record_id;

                if (menuArray[l].sub) {
                    for (var k = 0; k < menuArray[l].sub.length; k++) {
                        menuArray[l].sub[k].upRecord = menuArray[l].record_id;
                    }
                }

            }

            static_content_tr = ('null' != menuArray[index].static_content_tr) ? menuArray[index].static_content_tr : '';

            var subArrayTemp = [];
            if (menuArray[index].sub) {
                subArrayTemp = (menuArray[index].sub);
                while (subArrayTemp.length > 9) {
                    subArray.push(subArrayTemp.splice(0, 9));
                }
            }


            subArray.push(subArrayTemp);

            var x = [];
            var t = 0;
            for (var p = 0; p < subArray.length; p++) {
                for (r = 0; r < subArray[p].length; r++) {
                    x[t] = subArray[p][r];
                    t++;

                }
            }


            menuArray[index].sub = x;


            if (getupId) {
                pageTitle = KV.menu[getupId].menu_title_tr;
                //static_content_tr = KV.menu[getupId].static_content_tr;
            }


            var context = {
                "menu": menuArray,
                "sub": subArray,
                "pickerValue": pickerValue,
                "pickerLabel": pickerLabel,
                "index": index,
                "pageTitle": pageTitle,
                "static_content_tr": static_content_tr,
            };

            myApp.template7Data['page:mainExtended'] = context;

        } else {

            while (menuArrayTemp.length > 9) {
                menuArray.push(menuArrayTemp.splice(0, 9));
            }
            menuArray.push(menuArrayTemp);


            if (addMainNav) {
                menuArray[0].backMainMenu = true;
                mainMenuDepth = 1;
            }
            else {
                mainMenuDepth = 0;
                var x = [];
                var t = 0;
                for (var p = 0; p < menuArray.length; p++) {
                    for (r = 0; r < menuArray[p].length; r++) {
                        x[t] = menuArray[p][r];
                        t++;

                    }
                }
                KV.mainMenu = x;

            }


            var context = {"menu": menuArray};
            myApp.template7Data['page:main'] = context;

        }

        mainView.router.load({
            reload: true,
            url: routerUrl,
        });
    },

    setLeftPanel: function (menu) {
        var html = '';
        $$.each(menu, function (index, value) {
            var subHtml = '';

            if (value.sub && value.pageType != "parentMenuExtended") {
                var subSubHtml = '';
                $$.each(value.sub, function (subIndex, subValue) {
                    if (subValue.sub) {
                        $$.each(subValue.sub, function (subSubIndex, subSubValue) {
                            // external setting
                            var externalClass = '';
                            var href = '#';
                            if (subSubValue.external_page_link) {
                                href = subSubValue.external_page_link;
                                externalClass = 'external';
                            }

                            isRouteClass = (subSubValue.route) ? 'class="crmMenu close-panel" pageType =' + subSubValue.pageType + ' route=' + subSubValue.route : '';
                            var w = (subSubValue.icon) ? '24' : '0';
                            subSubHtml += '<li ' + isRouteClass + '>' +
                                '<div class="item-content ' + externalClass + '" href="' + href + '">' +
                                '<div class="item item-inner"  style="margin-left:50px;">' +
                                '<div class="item-title"><i style="width: ' + w + 'px; text-align: center" class="fa fa-' + subSubValue.icon + '" aria-hidden="true"></i>' + subSubValue.menu_title_tr + '</div>' +
                                '</div>' +
                                '</div>' +
                                '</li>';
                            return false;
                        });

                        subSubHtml = '<div class="accordion-item-content">' +
                            '<div class="list-block">' +
                            '<ul>' +
                            subSubHtml +
                            '</ul>' +
                            '</div>' +
                            '</div>';

                    }

                    isRouteClass = (subValue.route) ? 'class="crmMenu close-panel" pageType =' + subValue.pageType + ' route=' + subValue.route : 'class="accordion-item"';


                    var externalClass = '';
                    var href = '#';
                    if (subValue.external_page_link) {
                        href = subValue.external_page_link;
                        externalClass = 'external';
                    }
                    var w = (subValue.icon) ? '24' : '0';
                    subHtml += '<li ' + isRouteClass + '>' +
                        '<a href="' + href + '" class="item-link item-content ' + externalClass + '">' +
                        '<div class="item-inner"  style="margin-left:29px;">' +
                        '<div class="item-title"><i style="width: ' + w + 'px; text-align: center" class="fa fa-' + subValue.icon + '" aria-hidden="true"></i>' + subValue.menu_title_tr + '</div>' +
                        '</div>' +
                        '</a>' + subSubHtml +
                        '</li>';
                    return false;
                });


                subHtml = '<div class="accordion-item-content">' +
                    '<div class="list-block">' +
                    '<ul>' +
                    subHtml +
                    '</ul>' +
                    '</div>' +
                    '</div>';

            }

            isRouteClass = (value.route != null) ? 'class="crmMenu close-panel" pageType =' + value.pageType + ' route=' + value.route : 'class="accordion-item"';


            var w = (value.icon) ? '24' : '0';
            var externalClass = '';
            var href = '#';
            if (value.external_page_link) {
                href = value.external_page_link;
                externalClass = 'external';
            }
            var isRouteClass = (value.pageType == "parentMenuExtended") ? 'class="crmMenu close-panel" pageType =' + value.pageType + ' r_id=' + value.record_id : isRouteClass;
            html += '<li ' + isRouteClass + '><a href="' + href + '" class="item-link item-content ' + externalClass + '" r_id="' + value.record_id + '">' +
                '<div class="item-inner">' +
                '<div class="item-title"><i style="width:' + w + 'px; text-align: center" class="fa fa-' + value.icon + '" aria-hidden="true"></i>&nbsp;' + value.menu_title_tr + '</div>' +
                '</div></a>' +
                subHtml +
                '</li>';


        });
        /*html += '<li id="logoutFromDevice" class="close-panel"><a href="#" class="item-link item-content">' +
         '<div class="item-inner">' +
         '<div class="item-title"><i style="width:24px; text-align: center" class="fa fa-sign-out" aria-hidden="true"></i>&nbsp;Çıkış</div>' +
         '</div></a>' +
         '</li>';*/
        $$('#accordion-menu').append(html);

        $$('.crmMenu').on('click', function (e) {
            var pageType = $$(this).attr("pageType");
            if (pageType != 'parentMenuExtended') {
                var route = $$(this).attr("route");
                KV.getStaticPage(route, pageType);
            } else {
                var record_id = $$(this).attr("r_id");
                KV.activeExtended = record_id;
                var item = KV.menu[record_id];
                KV.initMenu(item.sub, pageType, '', record_id);

            }
        });


        $$('.parentExtended-menu-item').on('click', function (e) {
            var recordId = $(this).attr("r_id");
        });

        $$('#logoutFromDevice').on('click', function (e) {
            localStorage.removeItem('userData');

            KV.getConfig();

        });
    },

    setDate: function (date) {

        var time = date.split("T");
        var r = time[0].split('-');
        time = r[2] + '-' + r[1] + '-' + r[0] + ' ' + (time[1].split("+"))[0];
        return time;
    },

    validateEmail: function (email) {
        var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(email);
    },

    alignCenter: function (div) {
        var wHeight = $$(window).height();
        var divHeight = $$(div).height();
        var Hprocess = (wHeight - divHeight) / 2;
        $$(div).css({"top": Hprocess + "px"});

        var wWidth = $$(window).width();
        var divWidth = $$(div).width();
        var Wprocess = (wWidth - divWidth) / 2;
        $$(div).css({"left": Wprocess + "px"});
    },

    md5: function (value) {
        return CryptoJS.MD5(value).toString();
    },

    getQrData: function (text) {

        var returnText = text;
        var regExp = /\{\{([^}]+)\}\}/g;

        var match;
        while (( match = regExp.exec(text) ) != null) {
            var forReplace = match[0];
            var processData = match[1];
            var processDataArray = processData.split(':');

            switch (processDataArray[0]) {
                case 'user_id':
                    if (processDataArray[1] == 'active_id') {
                        var str = '{{user_id:' + activeID + '}}';
                        returnText = returnText.replace(forReplace, str);
                    }
            }
        }

        return (returnText);


    },

    openQrCodeReader: function () {
        function decodeBarcodeText(text) {
            var splitedText = text.split("|");

            var obj = {
                registration: activeID,
                fullname: splitedText[2],
                organization: splitedText[3],
                email: splitedText[4],
                phone: splitedText[5],
                title: splitedText[6]
            };

            return obj;

            console.log(obj);
        }

        // $$('#openQrReader').on('click', function () {

        myApp.hideIndicator();

        cordova.plugins.barcodeScanner.scan(
            function (result) {
                if (result.cancelled == 0 && result.text) {
                    kvapi.post("/data/networking/contact_list", {
                        //triggerWF: true, // iş akışı kuralı var ise çalıştır
                        upsert: true, // mükerrer kayıt var ise güncelle
                        upsertFields: ["phone"],
                        upsertIfEmpty: true,
                        records: [
                            decodeBarcodeText(result.text)
                        ]
                    })
                        .then(function (rs) {
                            var dialog = myApp.modal({
                                title: 'Bilgi!',
                                text: 'İletişimlerinize Eklendi.',
                                buttons: [
                                    {
                                        text: 'Tamam',
                                        onClick: function () {
                                            myApp.closeModal(dialog);
                                        }
                                    },
                                    {
                                        text: 'Yeni Ekle',
                                        onClick: function () {
                                            KV.openQrCodeReader();
                                        }
                                    },

                                ]
                            });

                        })
                        .catch(function (rs) {
                            alert(JSON.stringify((rs)));

                        });
                }
            },
            function (error) {
                alert("Scanning failed: " + error);
            },
            {
                "preferFrontCamera": false, // iOS and Android
                "showFlipCameraButton": false, // iOS and Android
                "prompt": "Place a barcode inside the scan area", // supported on Android only
                "formats": "QR_CODE", // default: all but PDF_417 and RSS_EXPANDED
                "orientation": "landscape" // Android only (portrait|landscape), default unset so it rotates with the device
            }
        );
    },

    trkToUppercase: function (text) {
        var str = [];
        for (var i = 0; i < text.length; i++) {
            var ch = text.charCodeAt(i);
            var c = text.charAt(i);
            if (ch == 105) str.push('İ');
            else if (ch == 305) str.push('I');
            else if (ch == 287) str.push('Ğ');
            else if (ch == 252) str.push('Ü');
            else if (ch == 351) str.push('Ş');
            else if (ch == 246) str.push('Ö');
            else if (ch == 231) str.push('Ç');
            else if (ch >= 97 && ch <= 122)
                str.push(c.toUpperCase());
            else
                str.push(c);
        }
        return str.join('');
    },

    openPhotoBrowser: function () {
        var containerHeight = $$('.photo-browser-swiper-container').height();
        var setHeight = parseInt(containerHeight) - 125;
        $$('.photo-browser-slide img').css("max-height", setHeight + "px");

    },

    openExternal: function (href) {

    },

    getProfilQuestion: function () {
        myApp.showIndicator();

        kvapi.get("/data/event/poll_record", {
            viewId: "mobile_app",
            filters: JSON.stringify({
                "registration": ["=", activeID]
            })
        }).then(function (rs) {

            kvapi.get("/data/event/poll", {
                viewId: "mobile_app",
                filters: JSON.stringify({
                    "active": ["=", "1"],
                    "poll_type": ["=", "2"],
                }),
                sort: "sort_order",
                dir: "ASC"
            }).then(function (cb) {
                // console.log("allPool", cb.response.records);
                var show_only_users = JSON.parse((localStorage.getItem("userData"))).allUserData.show_only_users.value;
                var filteredRecords = [];

                var records = [];
                $$.each(cb.response.records, function (index, value) {
                    if (!value.show_only_users) {
                        filteredRecords.push(value);
                    } else {
                        $$.each(value.show_only_users, function (sindex, svalue) {
                            if (svalue.value == 1 || svalue.value == show_only_users) {
                                filteredRecords.push(value);
                            }
                        });
                    }
                });

                $$.each(filteredRecords, function (index, value) {
                    ctrl = 0;
                    $$.each(rs.response.records, function (cevapIndex, cevapValue) {
                        if (value.record_id == cevapValue.poll.value) {
                            ctrl = 1;
                            return false;
                        }
                    });
                    if (ctrl == 1) {
                        return true;
                    }
                    if (ctrl == 0) {
                        records.push(value);
                    }
                });
                // console.log("filteredRecords", filteredRecords);
                pReload = (myApp.getCurrentView().activePage.name != "profile") ? true : false;

                if (records.length < 1) {
                    myApp.hideIndicator();

                    myApp.alert("Tüm soruları tamamladığınız için teşekkür ederiz.", "Bilgi", function () {
                        mainView.router.load({
                            url: 'profile.html',
                            reload: pReload
                        });
                    });
                } else {


                    getPoll(0);

                    function getPoll(index) {
                        // console.log("getpoll", records)
                        //
                        // console.log(index);
                        // console.log("record_index", records[index]);
                        var r_id = records[index].record_id;
                        kvapi.get("/custom/educaturk/pollAnswers/" + r_id, {}).then(function (response) {

                            myApp.hideIndicator();
                            if (response.response.total > 0) {
                                pollViewData = {
                                    pollId: r_id,
                                    pollMaxSelect: records[index].max_selection,
                                    pollTitle: response.response.records[0].pollLabel,
                                    pollAnswers: response.response.records
                                };

                                myApp.template7Data['page:profileQuestion'] = pollViewData;
                                mainView.router.load({
                                    url: 'profileQuestion.html',
                                    reload: true
                                });

                            } else {
                                if (records[index + 1]) {
                                    //myApp.alert("bir sonraki soruya geç");
                                    getPoll(index + 1);
                                } else {
                                    myApp.alert("Tüm soruları tamamladığınız için teşekkür ederiz.", "Bilgi", function () {
                                        mainView.router.load({
                                            url: 'profile.html',
                                            reload: pReload

                                        });
                                    });


                                }
                            }

                        });

                        /*
                         kvapi.get("/data/event/poll_answer", {
                         viewId: "mobile_app",
                         filters: JSON.stringify({
                         "poll": ["=", r_id],
                         })
                         }).then(function (response) {
                         myApp.hideIndicator();
                         if (response.response.total > 0) {
                         pollViewData = {
                         pollId: r_id,
                         pollMaxSelect: records[index].max_selection,
                         pollTitle: response.response.records[0].poll.label,
                         pollAnswers: response.response.records,
                         }


                         myApp.template7Data['page:profileQuestion'] = pollViewData;
                         mainView.router.load({
                         url: 'profileQuestion.html',
                         reload: true
                         });


                         } else {
                         if (records[index + 1]) {
                         //myApp.alert("bir sonraki soruya geç");
                         getPoll(index + 1);
                         } else {
                         myApp.alert("Tüm soruları tamamladığınız için teşekkür ederiz.", "Bilgi", function () {
                         mainView.router.load({
                         url: 'profile.html',
                         reload: pReload

                         });
                         });


                         }
                         }
                         });
                         */
                    }

                }
                // myApp.template7Data['page:poll'] = records;
                //
                // mainView.router.load({
                //     reload: true,
                //     url: pg,
                // });
            }).catch(function (rs) {
                console.log(rs);
            });
        }).catch(function (rs) {
            console.log(rs)
        });
    },

    customAutoComplete: function (t_this) {
        var dataFrom = $$(t_this).attr("dataFrom");
        console.log(dataFrom);
        if (dataFrom == "json") {
            var where = $$(t_this).attr("autoCompleteData");
            $$.getJSON('json/' + where + '.json', function (data) {
                contextData = data;
                //console.log(contextData);
                var aHtml = '';
                $$.each(contextData, function (index, value) {

                    aHtml += '<li class="customItem">' +
                        '<label class="label-radio item-content">' +
                        '<!-- Checked by default -->' +
                        '<input type="radio" name="pollRadio" class="radioIn" value="' + value.addr_city_id + '">' +
                        '<div class="item-inner">' +
                        '<div class="item-title city_name" style="color:black">' + value.city_name + '</div>' +
                        '</div>' +
                        '</label>' +
                        '</li>';
                });
                $$("#autoCompleteUl").html(aHtml);
                myApp.popup('.popup-customAutoComplete');

                $$(".customItem").on("click", function () {
                    var record_id = $$(this).find('.radioIn').val();
                    var city_name = $$(this).find('.city_name').html();
                    console.log(record_id, city_name);
                    $$(t_this).find('.idZone').val(record_id);
                    $$(t_this).find('.valueZone').val(city_name);
                    myApp.closeModal(".popup-customAutoComplete");
                });

            });
        }
    }
};

kvapi.onTokenExpire = function (callback) {
    KV.getAccessToken(true, callback);
};

var deviceID = null;

document.addEventListener("deviceready", onDeviceReady, false);
function onDeviceReady() {
    deviceID = (device.uuid);
    //deviceID = "9750F22D-BFAB-4E24-9C29-C045B7462480";
    if (deviceID) {
        KV.getAccessToken(false, function () {
            KV.getConfig();
        });
    }
    screen.lockOrientation('portrait');

    document.addEventListener("backbutton", function (e) {
        var page = myApp.getCurrentView().activePage;
        myApp.hidePreloader();

        if (!popupOpen) {
            if (page.name == "quizQuestionsPage") {
                e.preventDefault();
            }
            else if (page.name == "main" && mainMenuDepth == 0) {
                e.preventDefault();
                var dialog = myApp.modal({
                    title: 'ONAY!',
                    text: 'Uygulamadan çıkılsın mı?',
                    buttons: [
                        {
                            text: 'Vazgeç',
                            onClick: function () {
                                myApp.closeModal(dialog);
                            }
                        },
                        {
                            text: 'Evet',
                            onClick: function () {
                                navigator.app.clearHistory();
                                navigator.app.exitApp();
                            }
                        }

                    ]
                });

            }
            else {
                if (myApp.mainView.history.length > 1) {
                    mainView.router.back({url: myApp.mainView.history[0], force: true})
                } else {
                    document.getElementsByClassName("back")[0].click();
                }
            }
        } else { // if photobrowser open
            $$('.close-popup').trigger("click");
        }
    }, false);


    $$('.external').on('click', function () {
        if (device.platform == "iOS") {
            var href = $$(this).attr("href");
            var ref = cordova.InAppBrowser.open(href, '_system', 'location=yes');
        }
    });


}

deviceID = "ogrenci_kurum_test_device_id";

KV.getConfig();






