myApp.onPageInit('static', function (page) {


    $$('.back').on('click', function () {
        if (!page.context.upPageType) {
            mainView.router.back({url: 'main.html', force: true})
        } else {
            mainView.router.back({url: 'mainExtended.html', force: true})
        }
    });

    $$('.navbar').removeClass('transparent').addClass('backgroundBlue');

    var nt = '' +
        '<div class="navbar"> ' +
        '<div class="navbar-inner"> ' +
        '<div class="left sliding"> ' +
        '<a href="#" class="link close-popup photo-browser-close-link {{#unless backLinkText}}icon-only{{/unless}} ' +
        '{{js "this.type === \'page\' ? \'back\' : \'\'"}}"> ' +
        '<i class="fa fa-chevron-left kvBack {{iconsColorClass}}"></i>' +
        'Geri</a> </div> <div class="center sliding"> ' +
        '<span class="photo-browser-current"></span> <span class="photo-browser-of">{{ofText}}</span> ' +
        '<span class="photo-browser-total"></span> </div> <div class="right"></div> </div> </div> '


    myPhotoBrowserPopup = myApp.photoBrowser({
        photos: page.context.photoGallery,
        type: 'popup',
        lazyLoading: true,
        navbarTemplate: nt,
        swipeToClose: false,
        onOpen: function () {
            KV.openPhotoBrowser();
            popupOpen = 1;
        },
        onClose: function () {
            popupOpen = 0;
        }
    });
    $$('.pb-popup').on('click', function () {
        myPhotoBrowserPopup.open();
    });

    $$('#backExtended').on('click', function () {
        var m = KV.menu[KV.activeExtended].sub;
        KV.initMenu(m, 'parentMenuExtended', KV.activeExtendedSubId);
        //$$('.navbar').removeClass('backgroundBlue').addClass('transparent');
    })

    // map config
    if (page.context.mapData) {
        $$.each(page.context.mapData, function (index, value) {

            //$('#map_canvas_'+value.canvas).html("ss");

            var map;

            function initMap() {
                var lat = parseFloat(value.lat);
                var lng = parseFloat(value.long);
                var myLatLng = {lat: lat, lng: lng};
                map = new google.maps.Map(document.getElementById('map_canvas_' + value.canvas), {
                    center: myLatLng,
                    zoom: 13
                });

                var marker = new google.maps.Marker({
                    position: myLatLng,
                    map: map,
                    title: "Hi"
                });

                // var infowindow = new google.maps.InfoWindow({
                //     content: "Hi232"
                // });
                // infowindow.open(map, marker);

                var geocoder = new google.maps.Geocoder;
                var infowindow = new google.maps.InfoWindow({});

                google.maps.event.addListener(infowindow, 'domready', function(){
                    $$(".gm-style-iw").next("div").hide();
                });

                geocodeLatLng(geocoder, map, infowindow);


                function geocodeLatLng(geocoder, map, infowindow) {

                    var latlng = myLatLng;
                    geocoder.geocode({'location': latlng}, function (results, status) {
                        if (status === 'OK') {
                            if (results[1]) {
                                map.setZoom(13);
                                var marker = new google.maps.Marker({
                                    position: latlng,
                                    map: map
                                });
                                infowindow.setContent("<b>" + value.title + "</b><br/>" + results[1].formatted_address);
                                infowindow.open(map, marker);
                            } else {
                                //window.alert('No results found');
                            }
                        } else {
                            //window.alert('Geocoder failed due to: ' + status);
                        }
                    });
                }
            }


            initMap();
        });


    }

    if (localStorage.userData) {
        var allUserData = JSON.parse((localStorage.getItem("userData"))).allUserData;
    }


    /// POPUP CONFIGS - CONTACT
    var formType = 0;
    var navbarHtml = $$('#static_navbar').html();


    $$('.open_booking').on('click', function () {
        var hotel_name = $$(this).attr('hotel_name');

        mainView.router.load({
            reload: true,
            url: 'booking.html',
            context: {rooms: [1, 2, 3], hotel_name: hotel_name}
        });
    });


    ///----- CONTACT ------////


    $$('.popup_contact_us').on('open', function () {
        formType = $$('.open-popup').attr("form_type");

        $$('.navbar').removeClass('backgroundBlue').addClass('transparent');
        $$('#static_navbar').html('');
        KV.alignCenter('.popupDiv')

    });

    $$('.popup_contact_us').on('close', function () {
        $$('.navbar').removeClass('transparent').addClass('backgroundBlue');
        $$('#static_navbar').html(navbarHtml)
        $$('.back').on('click', function () {
            mainView.router.back({url: 'main.html', force: true})
        });
    });

    // POPUP CONTACT MESSAGE


    $$('#firstname').val(allUserData.firstname);
    $$('#lastname').val(allUserData.lastname);
    $$('#email').val(allUserData.email);
    $$('#kv_sent_message').on('click', function () {

        var message = $$('#message').val();
        if (message.length < 10) {
            myApp.alert("Mesaj için en az 10 karakter giriniz.", "Dikkat!")
        } else {
            var contactUsObj = {
                registration: activeID,
                form_type: formType,
                source: 2,
                mobile_app: mobileAppId,
                message: message,
                firstname: $$('#firstname').val(),
                lastname: $$('#lastname').val(),
                email: $$('#email').val(),
            };
            myApp.showIndicator();
            kvapi.post("/data/event/contact_form", {
                //triggerWF: true, // iş akışı kuralı var ise çalıştır
                upsert: true, // mükerrer kayıt var ise güncelle
                upsertFields: ["device_id"],
                upsertIfEmpty: true,
                records: [
                    contactUsObj
                ]
            })
                .then(function (response) {
                    myApp.hideIndicator();
                    console.log(response.response.success);
                    if (response.response.success) {
                        var dialog = myApp.modal({
                            title: 'Bilgi!',
                            text: 'Mesajınız gönderilmiştir.',
                            buttons: [
                                {
                                    text: 'Geri Dön',
                                    onClick: function () {
                                        $$('#message').val('');
                                        myApp.closeModal(dialog);
                                        myApp.closeModal('.popup_contact_us');

                                    }
                                },
                                {
                                    text: 'Yeni Mesaj',
                                    onClick: function () {
                                        myApp.closeModal(dialog);
                                        $$('#message').val('');

                                    }
                                },

                            ]
                        });
                    } else {
                        myApp.alert("Mesajınız Gönderilemedi. Tekrar deneyiniz", "Dikkat!");
                    }

                })
                .catch(function (rs) {
                    console.log("KV:401-1 : Failde To Save.", "Hata!");

                });
            myApp.hideIndicator();
        }

    });

    // For Map Links
    $$("a.geocode").on("click", function (e) {
        var latlong = $$(this).attr("href");
        if (device.platform == "iOS") {
            cordova.InAppBrowser.open('http://maps.apple.com/?q=' + latlong, '_system');
        } else {
            window.open("http://maps.google.com/?q=" + latlong, "_system");
        }
        e.preventDefault();
        return false;
    });

    $$("a.withconfirm").on("click", function (e) {
        var tel = $$(this).attr("href");
        if (device.platform == "iOS") {
            cordova.InAppBrowser.open(tel, '_system');
        } else {
            window.open(tel, "_system");
        }

        // myApp.confirm("Bu numara aransın mı?", tel, function () {
        //
        //
        // });
        e.preventDefault();
        return false;
    });
});

